makeham {eha} | R Documentation

## The Gompertz-Makeham Distribution

### Description

Density, distribution function, quantile function, hazard function, cumulative hazard function, and random generation for the Gompertz-Makeham distribution with parameters `shape` and `scale`.

### Usage

    dmakeham(x, shape = c(1, 1), scale = 1, log = FALSE)
    pmakeham(q, shape = c(1, 1), scale = 1, lower.tail = TRUE, log.p = FALSE)
    qmakeham(p, shape = c(1, 1), scale = 1, lower.tail = TRUE, log.p = FALSE)
    hmakeham(x, shape = c(1, 1), scale = 1, log = FALSE)
    Hmakeham(x, shape = c(1, 1), scale = 1, log.p = FALSE)
    rmakeham(n, shape = c(1, 1), scale = 1)

### Arguments

`shape` | A vector, default value c(1, 1).
`scale` | defaulting to 1.
`lower.tail` | logical; if TRUE (default), probabilities are P(X <= x), otherwise, P(X > x).
`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).

### Details

The Gompertz-Makeham distribution with `scale` parameter a and `shape` parameter b has hazard function given by

h(x) = a[1] + a[2] exp(x/b)

for x >= 0.

### Value

`dmakeham` gives the density, `pmakeham` gives the distribution function, `qmakeham` gives the quantile function, `hmakeham` gives the hazard function, `Hmakeham` gives the cumulative hazard function, and `rmakeham` generates random deviates.

Invalid arguments will result in return value `NaN`, with a warning.

[Package eha version 2.6.0 Index]